Subject: Re: bug#40573: 27.0.90; flymake-mode broken in scratch buffer

From: João Távora <[email-masked]>
Date: Fri, 17 Apr 2020 16:20:54 +0100

On Fri, Apr 17, 2020 at 2:05 PM Eli Zaretskii <[email-masked]> wrote:
>
> > From: João Távora <[email-masked]>
> > Date: Fri, 17 Apr 2020 12:57:22 +0100
> > Cc: Stefan Monnier <[email-masked]>, Juri Linkov <
[email-masked]>, [email-masked],
> >       Dmitry Gutov <[email-masked]>
> >
> >  No.  IMO a mode included in the core should handle more that just one
> >  kind of file.  We've been through this, at least twice.  Why do you
> >  keep pushing?  It only adds to aggravation.
> >
> > First, I don't know why you would feel aggravated by my
> > question.
>
> Not by the question, by your pushing and pushing and pushing,  Same
> arguments, same questions time and again.  To what end?

The thing is, I give those arguments and you _don't_ refute
them.  You don't say like: "oh but if we did that then this
negative effect would take place". Or "there isn't any positive
effects to what you suggest". So I assume my arguments
aren't  getting through and I reformulate. That's not "pushing"
in my book.  Also, don't assume the exasperation is only
on your side: I also get a bit exasperated when you don't
reply directly to my arguments.

> > Anyway, maybe that wasn't clear, but the new mode would
> > handle lots of files I have here.  It would allow me to design
> > better working methods for me and my team. I just can't show
> > you those files. But I hope you can take my word for it.
> I'd prefer to see the code.

Which code?  I can't show you my data files (but they're
not code). If you mean the one that adds the mode and
makes `.dir-locals.el` default to it, sure thing, I'll have it
ready later today.  _that's_ what I was proposing earlier.
But please confirm this is  the code you want to see.

> > If you don't accept the "do no harm" criteria, how many
> > types of files produced by Emacs do you need before it
> > becomes useful in your criteria?  Is .dir-locals.el + another
> > one enough?  That's "more than just one".
>
> Again, this is not the kind of question that I can give a useful
> answer.  If you or someone else show the code, I'm sure I will be able
> to make up my mind about it (and so will be others).

The code I think you're talking about is Stefan's patch (that I
linked to) + adding an entry to `auto-mode-alist`.  It introduces
the new mode and turns it on automatically on for a single
Emacs-produced file.  I'll produce a formal patch of it later
today, but don't expect any surprises.

I'll present work in a branch, I'll be happy to add more code
for types of files.  Though I was also suggesting that
this effort for more files could be done in master.

--
João Távora